amarok_2.8.0-2.1+b1_amd64.deb


Advertisement

Description

amarok - easy to use media player based on the KDE Platform

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name amarok
Package version 2.8.0
Package release 2.1+b1
Package architecture amd64
Package type deb
Installed size 27.27 KB
Download size 5.77 MB
Official Mirror ftp.br.debian.org
Amarok is a powerful music player with an intuitive interface. It makes
playing the music you love and discovering new music easier than ever before
and it looks good doing it! Amarok is based on the powerful Qt4 / KDE4
Platform and nicely integrates with KDE desktop.
Much work has been invested into integrating Amarok 2 with various Web
services:
- Ampache
- Jamendo Service
- Last.fm
- Librivox
- MP3tunes
- Magnatune
- OPML Podcast Directory
Amarok comes with a lot of features including but not limited to:
- Scripts - enhance your Amarok experience with community developed scripts.
- Dynamic Playlists - create playlists that automatically update.
- Context View - customize interface with the Plasma powered Context View.
- PopUp Dropper - simplify drag&drop actions with revolutionary menu system.
- Multiple Language Translations
- Collection Management - organizing your music collection has never been
easier with Amarok's powerful tagging, renaming, and sorting abilities.
- Database Importing - import collections from Amarok 1.4 or iTunes.
- Scriptable Services - integrate other web services into Amarok.

Alternatives

Package Version Architecture Repository
amarok_2.8.0-2.1_i386.deb 2.8.0 i386 Debian Main
amarok - - -

Requires

Name Value
amarok-common = 2.8.0-2.1
amarok-utils = 2.8.0-2.1+b1
kde-runtime >> 4:4.10
libaio1 >= 0.3.93
libavcodec-extra-56 >= 6:11~beta1
libavcodec56 >= 6:11~beta1
libavformat56 >= 6:11~beta1
libavutil54 >= 6:11~beta1
libc6 >= 2.17
libcurl3-gnutls >= 7.16.2
libgcrypt20 >= 1.6.1
libgdk-pixbuf2.0-0 >= 2.22.0
libgl1 -
libgl1-mesa-glx -
libglib2.0-0 >= 2.37.3
libgpod4 >= 0.7.92
libgpod4-nogtk >= 0.7.92
libkcmutils4 >= 4:4.8.4
libkdecore5 >= 4:4.8.4
libkdeui5 >= 4:4.10.0
libkdewebkit5 >= 4:4.8.4
libkdnssd4 >= 4:4.8.4
libkfile4 >= 4:4.8.4
libkio5 >= 4:4.8.4
libknewstuff3-4 >= 4:4.8.4
liblastfm1 >= 1.0.0
libloudmouth1-0 >= 1.1.4
libmtp9 >= 1.1.0
libmysqlclient18 >= 5.5.24+dfsg-1
libnepomukcore4 >= 4:4.9.3
libofa0 >= 0.9.3
libphonon4 >= 4:4.7.0.0
libplasma3 >= 4:4.8.4
libqjson0 >= 0.7.1
libqt4-dbus >= 4:4.6.1
libqt4-network >= 4:4.5.3
libqt4-opengl >= 4:4.8.0
libqt4-script >= 4:4.5.3
libqt4-sql >= 4:4.5.3
libqt4-svg >= 4:4.5.3
libqt4-xml >= 4:4.5.3
libqtcore4 >= 4:4.8.0
libqtgui4 >= 4:4.8.0
libqtscript4-core -
libqtscript4-gui -
libqtscript4-network -
libqtscript4-sql -
libqtscript4-uitools -
libqtscript4-xml -
libqtwebkit4 >= 2.1.0~2011week13
libsolid4 >= 4:4.8.4
libsoprano4 >= 2.1.67
libstdc++6 >= 4.4.0
libthreadweaver4 >= 4:4.8.4
libx11-6 -
libxml2 >= 2.7.4
phonon -
zlib1g >= 1:1.2.0

Download

Type URL
Binary Package amarok_2.8.0-2.1+b1_amd64.deb
Source Package amarok

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install amarok deb package:
    # sudo apt-get install amarok

Files

Path
/usr/bin/amarok
/usr/bin/amarokmp3tunesharmonydaemon
/usr/bin/amarokpkg
/usr/lib/libamarok-sqlcollection.so.1
/usr/lib/libamarok-sqlcollection.so.1.0.0
/usr/lib/libamarok-transcoding.so.1
/usr/lib/libamarok-transcoding.so.1.0.0
/usr/lib/libamarok_service_lastfm_shared.so
/usr/lib/libamarokcore.so.1
/usr/lib/libamarokcore.so.1.0.0
/usr/lib/libamaroklib.so.1
/usr/lib/libamaroklib.so.1.0.0
/usr/lib/libamarokocsclient.so.4
/usr/lib/libamarokocsclient.so.4.14.0
/usr/lib/libamarokpud.so.1
/usr/lib/libamarokpud.so.1.0.0
/usr/lib/libampache_account_login.so
/usr/lib/kde4/amarok_collection-audiocdcollection.so
/usr/lib/kde4/amarok_collection-daapcollection.so
/usr/lib/kde4/amarok_collection-ipodcollection.so
/usr/lib/kde4/amarok_collection-mtpcollection.so
/usr/lib/kde4/amarok_collection-mysqlecollection.so
/usr/lib/kde4/amarok_collection-mysqlservercollection.so
/usr/lib/kde4/amarok_collection-nepomukcollection.so
/usr/lib/kde4/amarok_collection-playdarcollection.so
/usr/lib/kde4/amarok_collection-umscollection.so
/usr/lib/kde4/amarok_collection-upnpcollection.so
/usr/lib/kde4/amarok_containment_vertical.so
/usr/lib/kde4/amarok_context_applet_albums.so
/usr/lib/kde4/amarok_context_applet_analyzer.so
/usr/lib/kde4/amarok_context_applet_currenttrack.so
/usr/lib/kde4/amarok_context_applet_info.so
/usr/lib/kde4/amarok_context_applet_labels.so
/usr/lib/kde4/amarok_context_applet_lyrics.so
/usr/lib/kde4/amarok_context_applet_photos.so
/usr/lib/kde4/amarok_context_applet_similarArtists.so
/usr/lib/kde4/amarok_context_applet_tabs.so
/usr/lib/kde4/amarok_context_applet_upcomingEvents.so
/usr/lib/kde4/amarok_context_applet_wikipedia.so
/usr/lib/kde4/amarok_data_engine_current.so
/usr/lib/kde4/amarok_data_engine_info.so
/usr/lib/kde4/amarok_data_engine_labels.so
/usr/lib/kde4/amarok_data_engine_lyrics.so
/usr/lib/kde4/amarok_data_engine_photos.so
/usr/lib/kde4/amarok_data_engine_similarArtists.so
/usr/lib/kde4/amarok_data_engine_tabs.so
/usr/lib/kde4/amarok_data_engine_upcomingEvents.so
/usr/lib/kde4/amarok_data_engine_wikipedia.so
/usr/lib/kde4/amarok_service_amazonstore.so
/usr/lib/kde4/amarok_service_ampache.so
/usr/lib/kde4/amarok_service_jamendo.so
/usr/lib/kde4/amarok_service_lastfm.so
/usr/lib/kde4/amarok_service_magnatunestore.so
/usr/lib/kde4/amarok_service_mp3tunes.so
/usr/lib/kde4/amarok_service_opmldirectory.so
/usr/lib/kde4/kcm_amarok_service_amazonstore.so
/usr/lib/kde4/kcm_amarok_service_ampache.so
/usr/lib/kde4/kcm_amarok_service_lastfm.so
/usr/lib/kde4/kcm_amarok_service_magnatunestore.so
/usr/lib/kde4/kcm_amarok_service_mp3tunes.so
/usr/share/applications/kde4/amarok.desktop
/usr/share/applications/kde4/amarok_containers.desktop
/usr/share/bug/amarok/control
/usr/share/bug/amarok/presubj
/usr/share/doc/amarok/NEWS.Debian.gz
/usr/share/doc/amarok/README.Debian
/usr/share/doc/amarok/changelog.Debian.amd64.gz
/usr/share/doc/amarok/changelog.Debian.gz
/usr/share/doc/amarok/changelog.gz
/usr/share/doc/amarok/copyright
/usr/share/kde4/apps/kconf_update/amarok.upd
/usr/share/kde4/services/amarok.protocol
/usr/share/lintian/overrides/amarok
/usr/share/man/man1/amarok.1.gz
/usr/share/man/man1/amarokmp3tunesharmonydaemon.1.gz
/usr/share/menu/amarok
/usr/share/pixmaps/amarok-16.xpm
/usr/share/pixmaps/amarok.xpm

Changelog

2014-08-30 - Sebastian Ramacher <sramacher@debian.org>
amarok (2.8.0-2.1) unstable; urgency=medium
* Non-maintainer upload.
* debian/control: Explicitly list libgcrypt20-dev in Build-Depends (Closes:
#758412).
2013-11-04 - Modestas Vainius <modax@debian.org>
amarok (2.8.0-2) unstable; urgency=low
* Drop kdemultimedia-dev build dependency. Apparently, it is not needed.
* Replace kdemultimedia-kio-plugins Recommends with kio-audiocd.
* Re-enable QtScript bindings which got disabled due to bug
(fix debian_disable_qtscriptbindings_check_fix.diff) (Closes: #721882)
* Describe amzdownloader in amarok-utils package description (Closes: #728037)
* Backport a fix for a crash on shuffle keyboard shortcut (Closes: #725895)
Patch: backport_dont_crash_on_shuffle_keyb_shortcut.diff
* Bump Standards-Version to 3.9.5: no further changes needed.
* Disallow Spectrum Analyzer applet with VLC backend (Closes: #725893)
Patch (backport): backport_dont_allow_analyzer_with_vlc.diff
2013-08-18 - Modestas Vainius <modax@debian.org>
amarok (2.8.0-1) unstable; urgency=low
* New upstream release:
- new spectrum analyzer applet added (GStreamer backend only)
Closes: #683707
* Team upload.
[ Modestas Vainius ]
* Drop libifp-dev and libnjb-dev build dependencies. Apparently, they have
been unused since initial Amarok 2 release. Thanks to Pino Toscano for
heads up.
* Disable test building explicitly. Tests are enabled by default since
KDE 4.9 so they will trigger FTBFS. We are not quite there yet with amarok
tests (Closes: #719425).
* Build depend on nepomuk-core-dev for KDE 4.9 or higher.
* Adapt debian_disable_qtscriptbindings_check_fix.diff to upstream changes.
* Adapt debian_find_mysql_fix.diff to upstream changes.
* Adapt debian_clamz_is_runtime_dependency.diff to upstream changes.
* Update install files:
- New libamarokshared library goes to amarok-utils package since it might
be needed by a few utilities (e.g. collectionscanner).
* Move amzdownloader into amarok-utils package.
* Add notes about Phonon backends to README.Debian. Some Amarok features are
not supported by Phonon VLC backend.
* Backport upstream patch which avoids adding analyzer applet by default if
Phonon backend does not support it.
Patch backport_dont_add_analyzer_when_not_supported.diff
[ Maximiliano Curia ]
* Update watch file.
* Add myself to Uploaders
2013-06-02 - Modestas Vainius <modax@debian.org>
amarok (2.7.1-1) unstable; urgency=low
* New upstream release: (Closes: #708525)
- this release supports liblastfm (>= 1.0.3). (Closes: #710705)
* Install libamarok_service_lastfm_shared.so into amarok package again.
It has somehow slipped through my eyes before. (Closes: #702802)
* Adapt debian_mysqle_force_defaults_file.diff to upstream changes.
* Update lintian overrides for embedded libmysqld and a new shared liblastfm
library.
2013-01-27 - Modestas Vainius <modax@debian.org>
amarok (2.7.0-1) experimental; urgency=low
* New upstream release.
* Really add --no-relax on Alpha (forgot to export appropriate variable).
(Closes: #684932)
* Refresh patches.
* Update build dependencies according to upstream requirements:
- require kde4libs 4.8.4 (with implicit Qt 4.8 requirement);
- require taglib 1.8;
- require liblastfm 1.0.3.
* Add clamz to amarok Recommends and disable clamz check at build time
(patch debian_clamz_is_runtime_dependency.diff). In addition, add
README.Debian entry about clamz.
* Bump Standards-Version to 3.9.4: no changes needed.
* Upload to experimental since we require some dependencies from it.
2012-08-18 - Modestas Vainius <modax@debian.org>
amarok (2.6.0-1) unstable; urgency=low
* New upstream release.
* Add --no-relax when linking on Alpha in order to fix FTBFS.
(Closes: #684932)

See Also

Package Description
amavisd-milter_1.5.0-5_amd64.deb amavisd-new interface for milter-capable MTAs
amavisd-new_2.10.1-2~deb8u1_all.deb Interface between MTA and virus scanner/content filters
amb-plugins_0.8.1-4_amd64.deb ambisonics LADPSA plugins
ambdec_0.5.1-3_amd64.deb Ambisonic decoder for first and second order
amide_1.0.5-2+b2_amd64.deb software for Medical Imaging
amideco_0.31e-3.1_amd64.deb Decompress flashfiles equipped with an AMI BIOS
amiga-fdisk-cross_0.04-15_amd64.deb Partition editor for Amiga partitions (cross version)
amispammer_3.3-1_all.deb Powerful Mail Server checker on blacklists
amoebax-data_0.2.1+dfsg-2_all.deb Data files for amoebax
amoebax_0.2.1+dfsg-2_amd64.deb Puyo Puyo-style puzzle game for up to two players
amor_4.13.3-1_amd64.deb desktop companion
amora-applet_1.2~svn699-1_amd64.deb use a bluetooth device as X remote control (systray applet)
amora-cli_1.2~svn699-1_amd64.deb use a bluetooth device as X remote control (commandline tool)
ampache-common_3.6-rzb2752+dfsg-5_all.deb web-based audio file management system common files
ampache-themes_3.6.1-2_all.deb Themes for Ampache
Advertisement
Advertisement